import request from '@/utils/request'

// 获取处理列表
export function getPendingList(data) {
  return request({
    url: '/businessProcessingTask/doMyPendingList',
    method: 'post',
    data
  })
}
// 获取全部列表
export function getAllList(data) {
  return request({
    url: '/bocom/register/findBySearch',
    method: 'post',
    data
  })
}

// 获取已录入列表
export function getEnteredList(data) {
  return request({
    url: '/bocom/register/findUserData',
    method: 'post',
    data
  })
}

// 获取详情
export function getDetails(params) {
  return request({
    url: '/bocom/register/getDetail',
    method: 'get',
    params
  })
}

// 提交
export function submitData(data) {
  return request({
    url: '/bocom/register/add',
    method: 'post',
    data
  })
}

// 审批 - 提交
export function approveSubmit(data) {
  return request({
    url: '/api/bocom/register/approval',
    method: 'post',
    data
  })
}

// 修改 - 提交
export function editSubmit(data) {
  return request({
    url: '/api/bocom/register/upadte',
    method: 'post',
    data
  })
}

// 变更 - 提交
export function changeSubmit(data) {
  return request({
    url: '/api/bocom/register/change',
    method: 'post',
    data
  })
}

// 修改 - 提交
export function terminationData(params) {
  return request({
    url: '/api/bocom/register/termination',
    method: 'post',
    params
  })
}

// 重新查询会员信息
export function requeryMemberInfo(params) {
  return request({
    url: '/api/bocom/register/research',
    method: 'get',
    params
  })
}

// 失败原因
export function getFailList(params) {
  return request({
    url: '/api/bocom/register/findReason',
    method: 'get',
    params
  })
}
